Name:           wavemon
Version:        0.7.0
Release:        1%{?dist}
Summary:        Ncurses-based monitoring application for wireless network devices

Group:          Applications/Internet
License:        GPLv2+
URL:            http://eden-feed.erg.abdn.ac.uk/wavemon/
Source0:        http://eden-feed.erg.abdn.ac.uk/wavemon/stable-releases/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
Requires:       wireless-tools


%description
wavemon is a wireless device monitoring application that allows you to
watch all important information like device configuration, encryption,
and power management parameters and network information at once.
Adaptive level bargraphs for link quality, signal/noise strength and
signal-to-noise ratio.  The customizeable "level alarm" feature that 
notices the user of changes in signal level strength audibly and/or
visually. wavemon is able to list of access points in range and shows
full-screen level histogram displaying signal/noise levels and SNR.


%prep
%setup -q


%build
%configure
make CFLAGS="%{optflags}" %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
#Delete wrong placed doc files
rm -rf %{buildroot}%{_datadir}/%{name}/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS THANKS
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}


%changelog
* Thu Nov 02 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7.0-1
- Updated to new upstream 0.7.0

* Wed Aug 18 2010 Fabian Affolter <fabian@bernewireless.net> - 0.6.11-1
- Updated to new upstream 0.6.11

* Thu Nov 19 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.10-1
- Updated to new upstream 0.6.10

* Thu Aug 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.7-1
- Updated to new upstream 0.6.7

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.6-1
- Updated to new upstream 0.6.6

* Thu May 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.5-1
- Updated to new upstream 0.6.5

* Mon May 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6-2
- Added optflags to make

* Sat May 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6-1
- Updated install and prep section
- Updated to new upstream version 0.6

* Wed Feb 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5-1
- Initial package for Fedora
